
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Timmy Yee <shoujun@masterofpi.org>

This patch adds missing ampersands.



---

 25-akpm/drivers/block/ps2esdi.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/ps2esdi.c~janitor-ps2esdi-fix drivers/block/ps2esdi.c
--- 25/drivers/block/ps2esdi.c~janitor-ps2esdi-fix	Wed Feb  4 14:09:43 2004
+++ 25-akpm/drivers/block/ps2esdi.c	Wed Feb  4 14:09:43 2004
@@ -743,7 +743,7 @@ static void ps2esdi_geometry_int_handler
 	drive_num = int_ret_code >> 5;
 	switch (int_ret_code & 0xf) {
 	case INT_CMD_COMPLETE:
-		for (i = ESDI_TIMEOUT; i & !(inb(ESDI_STATUS) & STATUS_STAT_AVAIL); i--);
+		for (i = ESDI_TIMEOUT; i && !(inb(ESDI_STATUS) & STATUS_STAT_AVAIL); i--);
 		if (!(inb(ESDI_STATUS) & STATUS_STAT_AVAIL)) {
 			printk("%s: timeout reading status word\n", DEVICE_NAME);
 			outb((int_ret_code & 0xe0) | ATT_EOI, ESDI_ATTN);
@@ -879,7 +879,7 @@ static void ps2esdi_normal_interrupt_han
 		break;
 
 	case INT_CMD_COMPLETE:
-		for (i = ESDI_TIMEOUT; i & !(inb(ESDI_STATUS) & STATUS_STAT_AVAIL); i--);
+		for (i = ESDI_TIMEOUT; i && !(inb(ESDI_STATUS) & STATUS_STAT_AVAIL); i--);
 		if (!(inb(ESDI_STATUS) & STATUS_STAT_AVAIL)) {
 			printk("%s: timeout reading status word\n", DEVICE_NAME);
 			outb((int_ret_code & 0xe0) | ATT_EOI, ESDI_ATTN);

_
